Index: branches/new_class_id/src/defs/class_id.h
===================================================================
--- branches/new_class_id/src/defs/class_id.h	(revision 9714)
+++ branches/new_class_id/src/defs/class_id.h	(revision 9715)
@@ -62,5 +62,5 @@
  *    # max lowerClasses-count      = 3^16 = enough (they are Leaves, and may NOT be derived by any other class.)
  */
-typedef enum ClassID
+typedef enum ClassID_DEPRICATED
 {
   // the Nothing CLASS (NULL)
Index: branches/new_class_id/src/lib/collision_detection/aabb.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/aabb.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 
-NewObjectListDefinition(AABB);
+ObjectListDefinition(AABB);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/aabb.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/aabb.h	(revision 9715)
@@ -13,5 +13,5 @@
 //! A class representing an extended bounding volume tree: an obb tree
 class AABB : public BoundingVolume {
-  NewObjectListDeclaration(AABB);
+  ObjectListDeclaration(AABB);
 
  public:
Index: branches/new_class_id/src/lib/collision_detection/aabb_tree_node.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb_tree_node.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/aabb_tree_node.cc	(revision 9715)
@@ -34,5 +34,5 @@
 GLUquadricObj* AABBTreeNode_sphereObj = NULL;
 
-NewObjectListDefinition(AABBTreeNode);
+ObjectListDefinition(AABBTreeNode);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/aabb_tree_node.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb_tree_node.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/aabb_tree_node.h	(revision 9715)
@@ -21,5 +21,5 @@
 class AABBTreeNode : public BVTreeNode
 {
-  NewObjectListDeclaration(AABBTreeNode);
+  ObjectListDeclaration(AABBTreeNode);
 
 
Index: branches/new_class_id/src/lib/collision_detection/bounding_sphere.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_sphere.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bounding_sphere.cc	(revision 9715)
@@ -20,5 +20,5 @@
 
 
-NewObjectListDefinition(BoundingSphere);
+ObjectListDefinition(BoundingSphere);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bounding_sphere.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_sphere.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bounding_sphere.h	(revision 9715)
@@ -14,5 +14,5 @@
 //! A class representing an extended bounding volume tree: an sphere
 class BoundingSphere : public BoundingVolume {
-  NewObjectListDeclaration(BoundingSphere);
+  ObjectListDeclaration(BoundingSphere);
 
  public:
Index: branches/new_class_id/src/lib/collision_detection/bounding_volume.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_volume.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bounding_volume.cc	(revision 9715)
@@ -20,5 +20,5 @@
 
 
-NewObjectListDefinition(BoundingVolume);
+ObjectListDefinition(BoundingVolume);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bounding_volume.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_volume.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bounding_volume.h	(revision 9715)
@@ -17,5 +17,5 @@
 //! An abstract class representing a bounding volume
 class BoundingVolume : public BaseObject {
-  NewObjectListDeclaration(BoundingVolume);
+  ObjectListDeclaration(BoundingVolume);
 
   public:
Index: branches/new_class_id/src/lib/collision_detection/bv_tree.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 
-NewObjectListDefinition(BVTree);
+ObjectListDefinition(BVTree);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bv_tree.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree.h	(revision 9715)
@@ -36,5 +36,5 @@
 class BVTree : public BaseObject
 {
-  NewObjectListDeclaration(BVTree);
+  ObjectListDeclaration(BVTree);
 
   public:
Index: branches/new_class_id/src/lib/collision_detection/bv_tree_node.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree_node.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree_node.cc	(revision 9715)
@@ -20,5 +20,5 @@
 
 
-NewObjectListDefinition(BVTreeNode);
+ObjectListDefinition(BVTreeNode);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bv_tree_node.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree_node.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree_node.h	(revision 9715)
@@ -24,5 +24,5 @@
 //! A class that represents a bounding volume tree
 class BVTreeNode : public BaseObject {
-  NewObjectListDeclaration(BVTreeNode);
+  ObjectListDeclaration(BVTreeNode);
 
 
Index: branches/new_class_id/src/lib/collision_detection/cd_engine.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/cd_engine.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/cd_engine.cc	(revision 9715)
@@ -34,5 +34,5 @@
 
 
-NewObjectListDefinition(CDEngine);
+ObjectListDefinition(CDEngine);
 /**
  * @brief standard constructor
@@ -103,5 +103,5 @@
   std::list<WorldEntity*>::iterator entityIterator;
   // for all bsp managers check all entities
-  for( NewObjectList<BspEntity>::const_iterator bspIterator = BspEntity::objectList().begin();
+  for( ObjectList<BspEntity>::const_iterator bspIterator = BspEntity::objectList().begin();
        bspIterator != BspEntity::objectList().end();
        bspIterator++) {
Index: branches/new_class_id/src/lib/collision_detection/cd_engine.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/cd_engine.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/cd_engine.h	(revision 9715)
@@ -36,5 +36,5 @@
 //! The class representing the collision detection system of orxonox
 class CDEngine : public BaseObject {
-  NewObjectListDeclaration(CDEngine);
+  ObjectListDeclaration(CDEngine);
 
   friend class WorldEntity;
Index: branches/new_class_id/src/lib/collision_detection/obb.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/obb.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 
-NewObjectListDefinition(OBB);
+ObjectListDefinition(OBB);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/obb.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/obb.h	(revision 9715)
@@ -15,5 +15,5 @@
 //! A class representing an extended bounding volume tree: an obb tree
 class OBB : public BoundingVolume {
-  NewObjectListDeclaration(OBB);
+  ObjectListDeclaration(OBB);
 
  public:
Index: branches/new_class_id/src/lib/collision_detection/obb_tree.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 
-NewObjectListDefinition(OBBTree);
+ObjectListDefinition(OBBTree);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/obb_tree.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree.h	(revision 9715)
@@ -20,5 +20,5 @@
 class OBBTree : public BVTree
 {
-  NewObjectListDeclaration(OBBTree);
+  ObjectListDeclaration(OBBTree);
 
   public:
Index: branches/new_class_id/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree_node.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree_node.cc	(revision 9715)
@@ -38,5 +38,5 @@
 GLUquadricObj* OBBTreeNode_sphereObj = NULL;
 
-NewObjectListDefinition(OBBTreeNode);
+ObjectListDefinition(OBBTreeNode);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree_node.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree_node.h	(revision 9715)
@@ -20,5 +20,5 @@
 class OBBTreeNode : public BVTreeNode
 {
-  NewObjectListDeclaration(OBBTreeNode);
+  ObjectListDeclaration(OBBTreeNode);
   public:
     OBBTreeNode(const OBBTree& tree, OBBTreeNode* prev, int depth);
Index: branches/new_class_id/src/lib/collision_reaction/collision_handle.cc
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/collision_handle.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/collision_handle.cc	(revision 9715)
@@ -30,5 +30,5 @@
 
 
-NewObjectListDefinition(CollisionHandle);
+ObjectListDefinition(CollisionHandle);
 
 /**
@@ -94,8 +94,8 @@
  *  @param classID the classid to look for
  */
-void CollisionHandle::addTarget(const NewClassID& target)
+void CollisionHandle::addTarget(const ClassID& target)
 {
   // make sure there is no dublicate
-  std::vector<NewClassID>::iterator it = this->targetList.begin();
+  std::vector<ClassID>::iterator it = this->targetList.begin();
   for( ; it < this->targetList.end(); it++)
     if( (*it) == target)
@@ -227,5 +227,5 @@
 bool CollisionHandle::filterCollisionEvent(CollisionEvent* collisionEvent)
 {
-  std::vector<NewClassID>::iterator it = this->targetList.begin();
+  std::vector<ClassID>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
@@ -276,5 +276,5 @@
 bool CollisionHandle::filterCollision(Collision* collision)
 {
-  std::vector<NewClassID>::iterator it = this->targetList.begin();
+  std::vector<ClassID>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
Index: branches/new_class_id/src/lib/collision_reaction/collision_handle.h
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/collision_handle.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/collision_handle.h	(revision 9715)
@@ -23,5 +23,5 @@
 class CollisionHandle : public BaseObject
 {
-  NewObjectListDeclaration(CollisionHandle);
+  ObjectListDeclaration(CollisionHandle);
   public:
     CollisionHandle(WorldEntity* owner, CREngine::CRType type);
@@ -30,5 +30,5 @@
     void reset();
 
-    void addTarget(const NewClassID& target);
+    void addTarget(const ClassID& target);
     Collision* registerCollision(WorldEntity* entityA, WorldEntity* entityB);
     void registerSharedCollision(Collision* collision);
@@ -64,5 +64,5 @@
 
     std::vector<Collision*>       collisionList;           //!< a list full of collisions
-    std::vector<NewClassID>          targetList;              //!< a list of target classes for filtering @TODO TAKE SET INSTEAD OF VECTOR HERE
+    std::vector<ClassID>          targetList;              //!< a list of target classes for filtering @TODO TAKE SET INSTEAD OF VECTOR HERE
 
     CollisionReaction*            collisionReaction;       //!< reference to the collision reaction object
Index: branches/new_class_id/src/lib/collision_reaction/collision_reaction.cc
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/collision_reaction.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/collision_reaction.cc	(revision 9715)
@@ -20,5 +20,5 @@
 
 
-NewObjectListDefinition(CollisionReaction);
+ObjectListDefinition(CollisionReaction);
 
 /**
Index: branches/new_class_id/src/lib/collision_reaction/collision_reaction.h
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/collision_reaction.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/collision_reaction.h	(revision 9715)
@@ -18,5 +18,5 @@
 class CollisionReaction : public BaseObject
 {
-  NewObjectListDeclaration(CollisionReaction);
+  ObjectListDeclaration(CollisionReaction);
   public:
     CollisionReaction();
Index: branches/new_class_id/src/lib/collision_reaction/cr_engine.cc
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_engine.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_engine.cc	(revision 9715)
@@ -29,5 +29,5 @@
 
 
-NewObjectListDefinition(CREngine);
+ObjectListDefinition(CREngine);
 /**
  * standard constructor
Index: branches/new_class_id/src/lib/collision_reaction/cr_engine.h
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_engine.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_engine.h	(revision 9715)
@@ -25,5 +25,5 @@
 class CREngine : public BaseObject
 {
-  NewObjectListDeclaration(CREngine);
+  ObjectListDeclaration(CREngine);
 
   public:
Index: branches/new_class_id/src/lib/collision_reaction/cr_object_damage.cc
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_object_damage.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_object_damage.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 
-NewObjectListDefinition(CRObjectDamage);
+ObjectListDefinition(CRObjectDamage);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_reaction/cr_object_damage.h
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_object_damage.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_object_damage.h	(revision 9715)
@@ -15,5 +15,5 @@
 class CRObjectDamage : public CollisionReaction
 {
-  NewObjectListDeclaration(CRObjectDamage);
+  ObjectListDeclaration(CRObjectDamage);
   public:
     CRObjectDamage();
Index: branches/new_class_id/src/lib/collision_reaction/cr_physics_full_walk.cc
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 
-NewObjectListDefinition(CRPhysicsFullWalk);
+ObjectListDefinition(CRPhysicsFullWalk);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_reaction/cr_physics_full_walk.h
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_physics_full_walk.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_physics_full_walk.h	(revision 9715)
@@ -15,5 +15,5 @@
 class CRPhysicsFullWalk : public CollisionReaction
 {
-  NewObjectListDeclaration(CRPhysicsFullWalk);
+  ObjectListDeclaration(CRPhysicsFullWalk);
   public:
     CRPhysicsFullWalk();
Index: branches/new_class_id/src/lib/collision_reaction/cr_physics_ground_walk.cc
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 
-NewObjectListDefinition(CRPhysicsGroundWalk);
+ObjectListDefinition(CRPhysicsGroundWalk);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_reaction/cr_physics_ground_walk.h
===================================================================
--- branches/new_class_id/src/lib/collision_reaction/cr_physics_ground_walk.h	(revision 9714)
+++ branches/new_class_id/src/lib/collision_reaction/cr_physics_ground_walk.h	(revision 9715)
@@ -15,5 +15,5 @@
 class CRPhysicsGroundWalk : public CollisionReaction
 {
-  NewObjectListDeclaration(CRPhysicsGroundWalk);
+  ObjectListDeclaration(CRPhysicsGroundWalk);
   public:
     CRPhysicsGroundWalk();
Index: branches/new_class_id/src/lib/coord/p_node.cc
===================================================================
--- branches/new_class_id/src/lib/coord/p_node.cc	(revision 9714)
+++ branches/new_class_id/src/lib/coord/p_node.cc	(revision 9715)
@@ -30,5 +30,5 @@
 
 
-NewObjectListDefinition(PNode);
+ObjectListDefinition(PNode);
 /**
  * @brief standard constructor
@@ -1107,5 +1107,5 @@
 }
 
-NewObjectListDefinition(NullParent);
+ObjectListDefinition(NullParent);
 
 NullParent::NullParent()
Index: branches/new_class_id/src/lib/coord/p_node.h
===================================================================
--- branches/new_class_id/src/lib/coord/p_node.h	(revision 9714)
+++ branches/new_class_id/src/lib/coord/p_node.h	(revision 9715)
@@ -75,5 +75,5 @@
 class PNode : virtual public BaseObject, virtual public Synchronizeable
 {
-  NewObjectListDeclaration(PNode);
+  ObjectListDeclaration(PNode);
 
 public:
@@ -263,5 +263,5 @@
 class NullParent : public PNode
 {
-  NewObjectListDeclaration(NullParent);
+  ObjectListDeclaration(NullParent);
   friend class PNode;
   NullParent();
Index: branches/new_class_id/src/lib/event/event_handler.cc
===================================================================
--- branches/new_class_id/src/lib/event/event_handler.cc	(revision 9714)
+++ branches/new_class_id/src/lib/event/event_handler.cc	(revision 9715)
@@ -29,5 +29,5 @@
 
 
-NewObjectListDefinition(EventHandler);
+ObjectListDefinition(EventHandler);
 /**
  * @brief standard constructor
Index: branches/new_class_id/src/lib/event/event_handler.h
===================================================================
--- branches/new_class_id/src/lib/event/event_handler.h	(revision 9714)
+++ branches/new_class_id/src/lib/event/event_handler.h	(revision 9715)
@@ -21,5 +21,5 @@
 class EventHandler : public BaseObject
 {
-  NewObjectListDeclaration(EventHandler);
+  ObjectListDeclaration(EventHandler);
 public:
   virtual ~EventHandler();
Index: branches/new_class_id/src/lib/event/event_listener.cc
===================================================================
--- branches/new_class_id/src/lib/event/event_listener.cc	(revision 9714)
+++ branches/new_class_id/src/lib/event/event_listener.cc	(revision 9715)
@@ -19,5 +19,5 @@
 #include "event_handler.h"
 
-NewObjectListDefinition(EventListener);
+ObjectListDefinition(EventListener);
 /**
  * @brief standard constructor
Index: branches/new_class_id/src/lib/event/event_listener.h
===================================================================
--- branches/new_class_id/src/lib/event/event_listener.h	(revision 9714)
+++ branches/new_class_id/src/lib/event/event_listener.h	(revision 9715)
@@ -14,5 +14,5 @@
 class EventListener : virtual public BaseObject
 {
-  NewObjectListDeclaration(EventListener);
+  ObjectListDeclaration(EventListener);
 public:
   EventListener();
Index: branches/new_class_id/src/lib/event/key_mapper.cc
===================================================================
--- branches/new_class_id/src/lib/event/key_mapper.cc	(revision 9714)
+++ branches/new_class_id/src/lib/event/key_mapper.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 
-NewObjectListDefinition(KeyMapper);
+ObjectListDefinition(KeyMapper);
 
 /* initialize all variables to a reasonable value*/
Index: branches/new_class_id/src/lib/event/key_mapper.h
===================================================================
--- branches/new_class_id/src/lib/event/key_mapper.h	(revision 9714)
+++ branches/new_class_id/src/lib/event/key_mapper.h	(revision 9715)
@@ -16,5 +16,5 @@
 class KeyMapper : public BaseObject
 {
-  NewObjectListDeclaration(KeyMapper);
+  ObjectListDeclaration(KeyMapper);
 public:
   //! A mapping from key-name to key-id
Index: branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.cc	(revision 9715)
@@ -23,5 +23,5 @@
 #include "util/loading/factory.h"
 
-NewObjectListDefinition(AtmosphericEngine);
+ObjectListDefinition(AtmosphericEngine);
 
 /**
@@ -94,5 +94,5 @@
 void AtmosphericEngine::draw() const
 {
-  for (NewObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
+  for (ObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
        it != WeatherEffect::objectList().end();
        ++it)
@@ -108,5 +108,5 @@
 {
 
-  for (NewObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
+  for (ObjectList<WeatherEffect>::const_iterator it = WeatherEffect::objectList().begin();
        it != WeatherEffect::objectList().end();
        ++it)
Index: branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/atmospheric_engine.h	(revision 9715)
@@ -14,5 +14,5 @@
 class AtmosphericEngine : public BaseObject
 {
-  NewObjectListDeclaration(AtmosphericEngine);
+  ObjectListDeclaration(AtmosphericEngine);
   public:
     ~AtmosphericEngine();
Index: branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/cloud_effect.cc	(revision 9715)
@@ -40,5 +40,5 @@
 float     CloudEffect::fadeTime;
 
-NewObjectListDefinitionID(CloudEffect, CL_CLOUD_EFFECT);
+ObjectListDefinitionID(CloudEffect, CL_CLOUD_EFFECT);
 
 
Index: branches/new_class_id/src/lib/graphics/effects/cloud_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/cloud_effect.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/cloud_effect.h	(revision 9715)
@@ -37,5 +37,5 @@
 
 class CloudEffect : public WeatherEffect {
-  NewObjectListDeclaration(CloudEffect);
+  ObjectListDeclaration(CloudEffect);
 
 public:
Index: branches/new_class_id/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/fog_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/fog_effect.cc	(revision 9715)
@@ -22,5 +22,5 @@
 #include "cloud_effect.h"
 
-NewObjectListDefinition(FogEffect);
+ObjectListDefinition(FogEffect);
 // Define shell commands
 //SHELL_COMMAND(activate, FogEffect, activateFog);
Index: branches/new_class_id/src/lib/graphics/effects/fog_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/fog_effect.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/fog_effect.h	(revision 9715)
@@ -15,5 +15,5 @@
 class FogEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(FogEffect);
+  ObjectListDeclaration(FogEffect);
 public:
   FogEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/graphics_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/graphics_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/graphics_effect.cc	(revision 9715)
@@ -22,5 +22,5 @@
 #include "util/loading/load_param.h"
 
-NewObjectListDefinition(GraphicsEffect);
+ObjectListDefinition(GraphicsEffect);
 
 /**
Index: branches/new_class_id/src/lib/graphics/effects/graphics_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/graphics_effect.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/graphics_effect.h	(revision 9715)
@@ -13,5 +13,5 @@
 //! A class that handles GraphicsEffects. The GraphicsEffectManager operates on this.
 class GraphicsEffect : public BaseObject {
-  NewObjectListDeclaration(GraphicsEffect);
+  ObjectListDeclaration(GraphicsEffect);
   public:
     GraphicsEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lense_flare.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/lense_flare.cc	(revision 9715)
@@ -35,5 +35,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(LenseFlare, CL_LENSE_FLARE);
+ObjectListDefinitionID(LenseFlare, CL_LENSE_FLARE);
 CREATE_FACTORY(LenseFlare);
 
Index: branches/new_class_id/src/lib/graphics/effects/lense_flare.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lense_flare.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/lense_flare.h	(revision 9715)
@@ -26,5 +26,5 @@
 class LenseFlare : public GraphicsEffect
 {
-  NewObjectListDeclaration(LenseFlare);
+  ObjectListDeclaration(LenseFlare);
   public:
     LenseFlare(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/lightning_effect.cc	(revision 9715)
@@ -29,5 +29,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(LightningEffect, CL_LIGHTNING_EFFECT);
+ObjectListDefinitionID(LightningEffect, CL_LIGHTNING_EFFECT);
 
 SHELL_COMMAND(activate, LightningEffect, activateLightning);
Index: branches/new_class_id/src/lib/graphics/effects/lightning_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/lightning_effect.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/lightning_effect.h	(revision 9715)
@@ -19,5 +19,5 @@
 class LightningEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(LightningEffect);
+  ObjectListDeclaration(LightningEffect);
 public:
   LightningEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/rain_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/rain_effect.cc	(revision 9715)
@@ -33,5 +33,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(RainEffect, CL_RAIN_EFFECT);
+ObjectListDefinitionID(RainEffect, CL_RAIN_EFFECT);
 
 // Define shell commands
Index: branches/new_class_id/src/lib/graphics/effects/rain_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/rain_effect.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/rain_effect.h	(revision 9715)
@@ -25,5 +25,5 @@
 class RainEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(RainEffect);
+  ObjectListDeclaration(RainEffect);
 public:
   RainEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/snow_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/snow_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/snow_effect.cc	(revision 9715)
@@ -32,5 +32,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(SnowEffect, CL_SNOW_EFFECT);
+ObjectListDefinitionID(SnowEffect, CL_SNOW_EFFECT);
 SHELL_COMMAND(activate, SnowEffect, activateSnow);
 SHELL_COMMAND(deactivate, SnowEffect, deactivateSnow);
Index: branches/new_class_id/src/lib/graphics/effects/snow_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/snow_effect.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/snow_effect.h	(revision 9715)
@@ -23,5 +23,5 @@
 class SnowEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(SnowEffect);
+  ObjectListDeclaration(SnowEffect);
 public:
   SnowEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/volfog_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/volfog_effect.cc	(revision 9715)
@@ -48,5 +48,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(VolFogEffect, CL_VOLFOG_EFFECT);
+ObjectListDefinitionID(VolFogEffect, CL_VOLFOG_EFFECT);
 CREATE_FACTORY(VolFogEffect);
 
Index: branches/new_class_id/src/lib/graphics/effects/volfog_effect.h
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/volfog_effect.h	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/volfog_effect.h	(revision 9715)
@@ -13,5 +13,5 @@
 class VolFogEffect : public WeatherEffect
 {
-  NewObjectListDeclaration(VolFogEffect);
+  ObjectListDeclaration(VolFogEffect);
 public:
   VolFogEffect(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/lib/graphics/effects/weather_effect.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/effects/weather_effect.cc	(revision 9714)
+++ branches/new_class_id/src/lib/graphics/effects/weather_effect.cc	(revision 9715)
@@ -20,5 +20,5 @@
 #include "util/loading/load_param.h"
 
-NewObjectListDefinition(WeatherEffect);
+ObjectListDefinition(WeatherEffect);
 
 /**
